﻿#loading1 {
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    position: fixed;
    display: block;
    opacity: 1 !important;
    background-color: #fff;
    z-index: 99;
    text-align: center;
}

.btnGreen .sapMBtnIcon {
    color: #43B02A !important;
}

.apptitle {
    font-family: Rockwell, Trebuchet MS !important;
    color: black !important;
    font-size: 22px !important;
    height: 3rem !important;
    line-height: 3rem !important;
}

.normalapp #tilecontainer-cnt {
    transform: translate3d(0px, -40px, 0px) !important;
}

@media (min-device-width:320px) and (max-device-width:568px) {
    .normalapp #tilecontainer-cnt {
        transform: translate3d(0px, -60px, 0px) !important;
    }
}

@media (min-device-width:375px) and (max-device-width:667px) {
    .normalapp #tilecontainer-cnt {
        transform: translate3d(0px, -100px, 0px) !important;
    }
}

@media (min-device-width:414px) and (max-device-width:736px) {
    .normalapp #tilecontainer-cnt {
        transform: translate3d(0px, -130px, 0px) !important;
    }
}

@media (min-device-width:375px) and (min-device-height:812px) {
    .normalapp #tilecontainer-cnt {
        transform: translate3d(0px, -150px, 0px) !important;
    }
}

@media (min-device-width:768px) and (min-device-height:1024px) {
    .normalapp #tilecontainer-cnt {
        transform: translate3d(0px, 0px, 0px) !important;
    }
}

@media (min-device-width:1024px) and (min-device-height:1366px) {
    .normalapp #tilecontainer-cnt {
        transform: translate3d(0px, 0px, 0px) !important;
    }
}

/*.iPad #tilecontainer {   
        transform: translate3d(0px, 0px, 0px) !important;       
} */

.mainpageheading {
    font-size: 50px !important;
}

.bold {
    font-weight: bold !important;
}

.mt {
    margin-top: 1% !important;
}

#loading1-image {
    margin: 0 auto;
    z-index: 100;
}

#Loading .sapMBar .sapMBtnIcon {
    line-height: 2.7rem;
}

/*.sapMBarPH { height: 4rem !important; }*/

.sapMBar {
    height: 4rem !important;
}

/*.sapMBtn { height: 4rem !important; }*/

@media screen and (max-width:739px) {
    #loading1 {
        width: 100% !important;
        height: 100%;
        top: 0px;
        left: 0px;
        position: fixed;
        display: block;
        opacity: 1 !important;
        background-color: #fff;
        z-index: 99;
        text-align: center;
    }

    #loading1-image {
        margin: 0 auto;
        z-index: 100;
        width: 100%;
        margin-top: 50%;
    }

    .apptitle {
        font-family: Rockwell, Trebuchet MS !important;
        color: black !important;
        font-size: 22px !important;
        height: 3rem !important;
        line-height: 3rem !important;
    }

    .rightarrow,
    .leftarrow {
        position: fixed !important;
        vertical-align: middle !important;
        z-index: 1 !important;
        top: 50%;
        opacity: 1 !important;
        /*margin-top: 220px !important;
    margin-left: -183px !important;*/
    }

    .leftarrow {
        left: 0;
        opacity: 1 !important;
    }

    .rightarrow {
        right: 0;
        opacity: 1 !important;
    }
}

.lefttile.sapMCustomTile,
.righttile.sapMCustomTile {
    width: 20em !important;
    height: 25em !important;
    padding: 4px !important;
}

.lefttile.sapMCustomTile:focus,
.righttile.sapMCustomTile:focus {
    outline: none !important;
}

.tiletax {
    margin-top: 40px !important;
}

.sapMTC .sapMTCScroller {
    position: fixed !important;
    opacity: 1 !important;
}

.sapMTC .sapMTCPager {
    display: none !important;
}

/* .lefttile {
     width: 251px;
     visibility: visible !important;
}*/

.hardcodedtext {
    margin-top: 2rem !important;
    /*margin-left:2rem !important;
  margin-right:1rem !important;
  margin-bottom:1.5rem !important;*/
}

.descriptiontext {
    /*margin-left:2rem !important;
  margin-right:1rem !important;*/
    margin-bottom: 1.5rem !important;
}

.curretntordning {
    font-weight: bold !important;
    font-size: large !important;
    /*margin-left:2rem !important;
  margin-right:1rem;*/
    margin-bottom: 1.5rem !important;
}

.subheading {
    font-weight: bold !important;
    font-size: large !important;
    /*margin-left:2rem !important;
  margin-right:1rem !important;*/
    margin-bottom: 1.5rem !important;
    margin-top: 0.35rem !important;
}

.middletext {
    margin-top: 1rem !important;
    /*margin-left:2rem !important;
  margin-right:1rem !important;*/
    margin-bottom: 0.8rem !important;
}

.centermargin {
    text-align: center !important;
}

.width50{
	width:50% important;
}

.wraplabel{
	white-space:wrap !important;
}

.seniornew {
    font-size: x-large !important;
    font-weight: bolder !important;
    color: #4cbebe !important;
    margin-bottom: 0.5rem !important;
}

.tillaeg {
    font-size: x-large !important;
    font-weight: bold !important;
    color: #4cbebe !important;
    /*margin-left:20% !important;
  margin-left:2rem;
  text-align: center !important;*/
}

.tillaegtax {
    font-size: x-large !important;
    font-weight: bolder !important;
    color: #4cbebe !important;
    margin-bottom: 2rem !important;
    /*margin-left: 2rem !important;*/
}

.tillaegtaxtext {
    font-size: x-large !important;
    font-weight: bolder !important;
    color: #4cbebe !important;
    margin-bottom: 2.8rem !important;
    /*margin-left: 2rem !important;*/
}

.itemcss {
    font-size: x-large !important;
    font-weight: bolder !important;
    color: green !important;
    /*padding-right: 15%;*/
}

.largetext {
    margin-top: 1rem !important;
    /*margin-left:2rem !important;
  margin-right:1rem !important;*/
}

.yeartext {
    /*margin-bottom:1rem;
  margin-left:1rem !important;
  margin-right:1rem !important;*/
    text-align: center !important;
}

.lasttext {
    margin-bottom: 1rem !important;
    /*margin-left:1rem !important;
  margin-right:1rem !important;*/
    text-align: center !important;
}

.button {
    background-color: #00bb00 !important;
    color: white !important;
    border-radius: 20px !important;
    margin-bottom: 10px !important;
    width: 150px !important;
    height: 36px !important;
    font-weight: bold !important;
    line-height: 1.775 !important;
    margin-top: 13px !important;
}

.button>.sapMBtnHoverable {
    color: white !important;
    border-radius: 20px !important;
    margin-bottom: 10px !important;
    width: 150px !important;
    height: 36px !important;
    font-weight: bold !important;
    top: -4px !important;
    line-height: 1.775 !important;
}

.button>.sapMBtnHoverable>.sapMBtnContent {
    padding-top: 5px !important;
    line-height: 1.775 !important;
}

.plus {
    font-size: 1.875rem !important;
    margin-right: 10px !important;
}

.sapMBtnContent {
    line-height: 2.7 !important;
}

.sapMBtnTransparent {
    color: white !important;
}

.noedit {
    margin-top: 2rem !important;
    /*margin-left:3rem !important;
  margin-right:1rem !important;*/
}

.page {
    margin: auto !important;
    text-align: center !important;
    width: 100% !important;
    background: white !important;
    width: 90%;
    height: 100%;
}
/*validate*/
/* .sapMLabel{ */
	/* white-space:wrap !important; */
/* } */
/* .sapUiVlt { */
    /* display:block !important; */
/* } */
.sapMTC .sapMTCScrl {
    overflow: visible !important;
}

.mainHBox {
    padding-top: 4rem !important;
    overflow: auto !important;
}

.mainHBox.sapUiHLayout {
    display: flow-root !important;
}

.leftVBox {
    text-align: center !important;
    /*margin-right:6rem;
   margin-left: -1rem;*/
}

.rightVbox {
    text-align: center !important;
}

.hLayout {
    margin-bottom: 2.1rem !important;
    margin-top: 1rem !important;
    /*margin-left: 2rem !important;*/
}

.curretntcard {
    font-weight: bold !important;
    font-size: large !important;
    /*margin-left:2rem !important;
  margin-right:1rem !important;*/
    margin-bottom: 1.5rem !important;
    margin-top: 0rem !important;
}

.selectfcard,
.forwardcard,
.futurearrangement {
    font-weight: bold !important;
    font-size: large !important;
    /*margin-left:2rem !important;
  margin-right:1rem !important;*/
    margin-bottom: 1.5rem !important;
    margin-top: 0.25rem !important;
}

[data-sap-ui-browser^='ie'] .forwardcard,
.futurearrangement {
    margin-top: 0.51rem !important;
}

[data-sap-ui-browser^='ie'] .sapMTCScrl {
    height: 380px !important;
}

[data-sap-ui-browser^='ie'] .middletext {
    margin-bottom: 1.4rem !important;
}

[data-sap-ui-browser^='ie'] .forwardcardtxt {
    margin-top: 0.51rem !important;
}

.forwardcardtxt {
    font-weight: bold !important;
    font-size: large !important;
    /*margin-left:2rem !important;
  margin-right:1rem !important;*/
    margin-bottom: 1.4rem !important;
    margin-top: 0.4rem !important;
}

.motherboard {
    font-size: x-large !important;
    font-weight: bold !important;
    color: #4cbebe !important;
    /*margin-left: 0.5rem !important;*/
    margin-top: 0.1rem !important;
}

.secondarytaxcard {
    font-size: x-large !important;
    font-weight: bold !important;
    color: #4cbebe !important;
    /*margin-left: 0.5rem !important;*/
    margin-top: 0.12rem !important;
}

.radiobutton {
    margin-bottom: 2% !important;
    margin-top: -7% !important;
}

.radiomargin {
    /*margin-left:15% !important;*/
}

.hmargin {
    /*margin: auto;
    text-align: center;
    margin-top:1rem;
    margin-bottom:1rem;
    width:95%;   
    margin-left:18% !important;*/
}

.landingpageHeading {
    padding: 1rem !important;
    background: #4cbebe !important;
    margin-top: 1rem !important;
    text-align: center !important;
}

#TaxP .aprPageHdr.sapMIBar.sapMHeader-CTX {
    background-color: #f2f2f2;
}

.vamrginarrow {}

.buttonarrow {
    color: black !important;
}

.sapUiView {
    background: white !important;
}

.layoutmargin {
    /*text-align:left;
  margin-left:-24%;*/
}

.sapMRbG .sapMRbBLabel {
    color: black !important;
    font-size: medium !important;
    font-weight: bold !important;
    outline: none !important;
}

.sapMBtnInner,
.sapMBtnHoverable {
    border: 0px !important;
    background: transparent !important;
}

:not(.sapMBtnDisabled)>.sapMBtnTransparent.sapMBtnActive,
:not(.sapMBtnDisabled):hover>.sapMBtnTransparent.sapMBtnActive {
    background-color: transparent !important;
    border-color: transparent !important;
}

.sapMBtn:focus>.sapMFocusable {
    /*color:#333333;*/
    outline: 0px !important;
}

/*.sapMBar-CTX :not(.sapMBtnDisabled)>.sapMBtnInner.sapMBtnActive {
     background-color:transparent !important;
    /*#333333 !important;

}*/

.button-logout {
    position: absolute !important;
    right: 0 !important;
    top: 0 !important;
    cursor: pointer !important;
    padding: 2px !important;
    color: white !important;
}

.button-logout.sapMBtn {
    height: 1.5rem !important;
    position: absolute !important;
    right: 0 !important;
    top: 0 !important;
    cursor: pointer !important;
    padding: 2px !important;
    color: white !important;
}

.button-logout.sapMBtn>.sapMBtnInner {
    height: 1.5rem !important;
    top: -0.6rem;
}

div.sapMBtnInner.sapMBtnReject>.sapMBtnContent {
    line-height: 1.2rem !important;
}

div.sapMBtnInner.sapMBtnReject {
    background-color: transparent !important;
    border-color: transparent !important;
}

.sapMBtn:hover>.sapMBtnHoverable.sapMBtnReject:not(.sapMBtnActive) {
    background-color: transparent !important;
    border-color: transparent !important;
}

.fullwidth {
    /*width:100% !important;*/
    overflow-y: scroll;
    position: fixed;
    height: 90%;
    left: 0;
    right: 0;
}

.sapMPageHeader::before {
    border-top: 0 !important;
}

.sapMTC .sapMTCScroller .sapMTCInner {
    padding-right: 10px !important;
}

/*Removing tooltip*/

.noTooltipIcon {
    font-size: 1.5rem;
    padding-top: 1.2rem;
}

.noTooltipIcon.sapUiIcon:focus {
    outline: none;
}

/*Logout*/

#logout #logoutMenu {
    margin: 2%;
    color: #008000;
    /*border-bottom: 1px solid #ddd;*/
}

#logout {
    top: 42px !important;
    width: 100%;
    left: -8px !important;
    border-top: none;
    box-shadow: none;
    border-right: none;
    border-left: none;
}

.dPage #logout {
    top: 20px !important;
}

/* Common Styles */

.subHrdTxt {
    font-size: medium !important;
    font-weight: bold !important;
    outline: none !important;
    color: #333333 !important;
}

.sapUiBody .sapUiIcon:focus {
    outline: none;
}

.greenBtn .sapMBtn .sapMBtnTransparent {
    background-color: green;
}


/* Profile */

.pflTileContainer .pflTiles.sapMCustomTile {
    width: 18rem;
    height: 15rem;
}

.pflTileContainer .pflTiles.sapMCustomTile {
    width: 18rem;
    height: 13.5rem;
}

.profileWebPg .pflTileContainer .pflTiles.sapMCustomTile {
    /* Desktop TC */
    margin-left: 6rem !important;
    margin-right: 6rem !important;
}

.profileMobPg .pflTileContainer .pflTiles.sapMCustomTile {
    /* Tablet and Phone TC */
    margin-left: 2rem !important;
    margin-right: 2rem !important;
}

.pflTileContainer .pflTiles.sapMCustomTile .bottomSpace.sapMObjectAttributeDiv {
    padding-bottom: 2px;
    line-height: .8rem;
}

.pflTileContainer .pflNavLink {
    font-weight: bolder;
    text-decoration: none !important;
}

.pflTileContainer .pflNavLink.sapMLnk:hover:not(.sapMLnkDsbl) {
    color: #005d8e;
}

.pflTileContainer .pflEditIcon.sapUiIcon:focus {
    outline: none;
}

.profilePg .sapMTC:hover .sapMTCScroller {
    opacity: 1 !important;
}

#profile .sapMIBar.sapMHeader-CTX,
#profileDetail .sapMIBar.sapMHeader-CTX {
    background-color: #f2f2f2;
}

.pflTileContainer .sapMCustomTile:focus,
.pflTileContainer .sapMLnk:focus:not(.sapMLnkDsbl) {
    outline: none !important;
}

/* Profile Contact and communication */

#pflCommunicationSForm,
#pflContactSForm {
    margin: 0 auto;
}

.pflMsgDialog .sapMBtnContent {
    line-height: 1.9rem !important;
}

#pflContactSForm .pflGender:focus {
    outline: none;
}

.sapMBtn.resetBtn .sapMBtnTransparent.sapMBtnInner .sapMBtnIcon {
    color: red;
}

#pflGender .sapMRb:focus:before {
    border: none;
    outline: none;
}

.sapMBtn.greenBtn .sapMBtnTransparent.sapMBtnInner {
    /* Green button */
    background-color: green !important;
    width: 170px;
    margin: 0 auto;
    border-radius: 22px;
}

#pflCommunicationSForm .sapMBtn .sapMBtnTransparent .sapMBtnContent,
#pflContactSForm .sapMBtn .sapMBtnTransparent .sapMBtnContent {
    line-height: 2.5rem !important;
}

#pflCommunicationSForm .sapMLabel,
#pflContactSForm .sapMLabel {
    text-align: left !important;
}

#pflCommunicationSForm .pflSpaceRow {
    visibility: hidden;
}

#pflContactSForm .sapMRbG .sapMRbBLabel {
    color: #666666 !important;
    font-size: 0.875rem !important;
    font-weight: normal !important;
}

#profileDetail .pflResetBtn {
    line-height: 3rem;
}


/* PDF overriding CSS */

#profileDetail #PDFForm img#sf--KOMMUNELOGO {
    width: 100px;
    height: auto;
    content: url("../images/KMDLogo.png");
}

/*To avoid x-axis scrolling*/

#profileDetail .prflDetailWebPg #PDFForm #SIDE1-001.page #MAIN.win {
    width: 20cm;
}

#profileDetail .prflDetailMobPg #PDFForm #SIDE1-001.page #MAIN.win {
    width: 19cm;
}

#profileDetail #PDFForm .PDFContetenItem,
#profileDetail #PDFForm #SIDE1-001.page {
    width: 21.5cm !important;
    height: 24.5cm;
}

/*#profileDetail .prflDetailMobPg #PDFForm .PDFContetenItem {
  overflow: scroll;
}*/

#profileDetail #PDFForm .page {
    border: none;
}

.sapMLnk {
    color: #4cbdbe !important;
}

#profileDetail .prflDetailWebPg #PDFForm #SIDE1-002.page #MAIN.win {
    width: 20cm;
}

#profileDetail .prflDetailMobPg #PDFForm #SIDE1-002.page #MAIN.win {
    width: 19cm;
}

/* #profileDetail #PDFForm #SIDE1-002.page #MAIN.win {
  width: 20cm !important;
  overflow-x: hidden;
} */

.profilePg .largeScreenTileContainer {
    margin: 0 auto !important;
}

.sapMIBar .sapMBtnInner {
    height: 2.5rem;
}

.sapUiForm .sapUiFormElementLbl>.sapMLabel:after {
    content: ":";
}

.sapUiIcon {
    outline: none !important;
}

.sapMImg {
    outline: none !important;
}

#pflCommunicationSForm .sapUiFormElementLbl {
    width: 8.5rem;
}

.sapMObjectAttributeActive .sapMObjectAttributeText {
    color: #666666 !important;
    cursor: text !important;
}

.sapMObjectAttributeActive .sapMObjectAttributeText:hover,
.sapMObjectAttributeActive .sapMObjectAttributeText:active {
    text-decoration: none !important;
}

.sapMObjectAttributeActive .sapMObjectAttributeTitle {
    max-width: 100% !important;
}

.sapMBtnInner.sapMBtnText {
    top: -0.3rem;
}

/* .sapMIBar-CTX .sapMBtnInner { height: 1.7rem; }
.sapMIBar.sapMTB .sapMBarChild { width: 50%; } */
.sapMObjectAttributeDiv .sapMText,
.sapMObjectAttributeDiv .sapMObjectAttributeTitle,
.sapMObjectAttributeDiv .sapMObjectAttributeColon,
.sapMObjectAttributeDiv .sapMObjectAttributeText {
    color: #000000 !important;
}

/* iOS scrolling issue */
html[data-sap-ui-os^="bb"] .profileDetailPg.sapMPage>section.sapMPageEnableScrolling,
html[data-sap-ui-os^="iOS"] .profileDetailPg.sapMPage>section.sapMPageEnableScrolling,
html[data-sap-ui-os^="Android"] .profileDetailPg.sapMPage>section.sapMPageEnableScrolling {
    overflow-x: scroll !important;
}

#pflCommunicationSForm .sapUiRespGridSpanXL8,
.sapUiRespGridSpanS4 {
    text-align: center !important;
}

#contactDeleteBtn {
    width: auto !important;
}

.testipad #tilecontainer-pager {
    display: block !important;
    position: fixed !important;
}

.sapUiBodyBackground,
.sapUiBody {
    background-color: white !important;
}

#loadingpageHeader-BarRight {
    width: 101px;
}

.removewidth {
    width: 0px !important;
}

.reverseheight {
    height: 3rem !important;
}

#loadingpageHeader {
    box-shadow: none;
}

#logout-content,
#logout-img {
    text-shadow: none !important;
    color: #43b02a !important;
    line-height: 2.375rem !important;
}

#logout-content {
    font-weight: bold;
}

button#logout:hover {
    /*background: #dddddd;
	border-radius: 3rem;
	height: 1.575rem !important;*/
}

.lineheightchange {
    line-height: 1.8rem !important;
    /* height: 3rem !important; */
}

.heightchange {
    height: 4rem !important;
}

.heightchange .sapMBarPH {
    height: 4rem !important;
}

.heightchange1 {
    height: 5rem !important;
}

.heightchange1 .sapMBarPH {
    height: 5rem !important;
}

.mrgn3>.sapMPageHeader+.sapMPageSubHeader+section {
    top: 6.3rem !important;
}

.mrgn4>.sapMPageHeader+.sapMPageSubHeader+section {
    top: 8rem !important;
}

.taligncenter {
    text-align: center !important;
    width: 90% !important;
}

.sapMBtnInner,
.sapMText,
.sapMBtnInner,
.Textfont,
.sapUiBody,
.sapUiTheme-sap_bluecrystal,
.sapUiMlt,
.Ntimer,
.sapUiBody,
.sapUiUnifiedLegend,
.sapMInputBaseInner,
.sapMInputBaseInner,
.sapMLabel,
.sapMBtnInner,
.sapMTitle,
.sapMBtnInner,
.sapMLnk {
    font-family: Segoe UI, Verdana !important;
}


/* Front page changs */

.mPage .tilesList .sapMSLIImgIcon {
    font-size: 2rem;
    /*background: #3333330a; border-radius: 0.3rem;*/
}

.mPage .tilesList .sapMSLITitle {
    font-size: 22px;
}

.mPage .tilesList .sapMListUl {
    text-align: initial;
}

.mPage #empDtlHeader.sapMBar,
.mPage #loadingpageHeader.sapMIBar {
    height: 4rem !important;
}

.mPage #loadingpageHeader.sapMIBar {
    height: 2.8rem !important;
    line-height: 2.8rem !important;
}

.mPage #empDtlHeader.sapMBar.minSubHdr {
    height: 3rem !important;
    line-height: 4rem !important;
}

.mPage #logout {
    top: 42px !important;
}

.mPage .tilesList .sapMSLITitleDiv,
.mPage.tilesList .sapMSLIDescription {
    text-align: start;
    white-space: initial;
}

.mPage .tilesList .sapMSLIDescription {
    white-space: initial !important;
}

.mPage .tilesList .sapMLIB.sapMSLIDescIcon {
    height: 7rem;
}

.mPage .tilesList .sapMSLIDiv {
    padding-left: 6px;
}

.mPage .tilesList .sapUiIcon.sapMLIBImgNav {
    font-size: 2rem;
    color: #43B02A;
}

.marginleft{
	margin-left:29px;
}